List of People

Returns a paginated list of people records in the organization. Supports filtering by search term, teams, custom fields, and other query parameters. Build people directories, sync HR data, or power search interfaces across your workforce records. Token scopes: people:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

offsetintegerOptional0-999999999Defaults to 0
Return a page of results with given number of records.
limitintegerOptional1-200
Return a page of results with given number of records.
searchstringOptional
Include a contract if by name or contractor name contains given search term.
teamslist of stringsOptional

Filter the results based on the team(group) the users contract is associated with

fieldslist of enumsOptional

Pick the fields you want to see in the response in order to avoid a bloated people list output. Supports dot notation (e.g., ‘employments[0].contract_status’) to access nested fields.

sort_byenumOptional
Sort people by given field name.
sort_orderenumOptional

Order direction of results; ascending or descending.

Allowed values:
hiring_statuseslist of enumsOptional
Employee's current hiring status.
band_placementslist of enumsOptional
Employee's current band placement.
Allowed values:
comparative_ratios_fromdoubleOptional
Employee's minimum band placement
comparative_ratios_todoubleOptional
Employee's maximum band placement
hiring_typeslist of enumsOptional
Filter people by hiring types
person_statuseslist of enumsOptional

Filter people by person (worker profile) lifecycle status.

Allowed values:

Response

Successful response
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error